
QGIS Application - Bug report #770

lib64 support for x86_64 architectures

2007-09-27 11:35 AM - silfreed-silfreed-net -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10829

Description

In Fedora 64-bit libraries are installed to ${PREFIX}/lib64.  Attached is a patch to relocate from lib/ to lib64/ using LIB_SUFFIX.

History

#1 - 2007-09-27 11:37 AM - silfreed-silfreed-net -

See Red Hat Bug 247549 for details on my previous attempts to fix this bug.

#2 - 2007-11-18 10:46 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Commits commit:1b4d9631 (SVN r7455) and commit:4364f124 (SVN r7457) made everything configurable, so now you should be able to modify

QGIS_LIB_SUBDIR and QGIS_PLUGIN_SUBDIR variables in CMake to "lib64" and "lib64/qgis".

Martin

#3 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted

Files

lib64-suffix-0.9.0.patch 3.45 KB 2007-09-27 silfreed-silfreed-net -
https://bugzilla.redhat.com/show_bug.cgi?id=247549

